Package: org.codehaus.groovy.classgen.asm

## [Java] Class BytecodeDumper

- org.codehaus.groovy.classgen.asm.BytecodeDumper

- All Implemented Interfaces and Traits:
    BytecodeProcessor

      public class BytecodeDumper
      extends Object
      implements BytecodeProcessor

  A utility class which can be used in test cases to dump generated bytecode.

  Since:
    2.4.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static BytecodeDumper` | `STANDARD_ERR` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BytecodeDumper(Writer out)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public byte[]` | `processBytecode(String name, byte[] original)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final BytecodeDumper STANDARD_ERR

  - ### Constructor Detail

    - #### public BytecodeDumper(Writer out)

  - ### Method Detail

    - #### @Override
      public byte[] processBytecode(String name, byte[] original)